""" Copyright start
  Copyright (C) 2008 - 2024 Fortinet Inc.
  All rights reserved.
  FORTINET CONFIDENTIAL & FORTINET PROPRIETARY SOURCE CODE
  Copyright end """
from leapp.libraries.stdlib import api, CalledProcessError, run

def fsr_execute_cmd(cmd):
    try:
        msg = ' '.join(cmd)
        output = run(cmd,split=True)['stdout']
    except OSError as e:
        api.current_logger().error('Failed to execute command `{0}` : {1}'.format(msg,str(e)))
        return -1
    except CalledProcessError:
        api.current_logger().error('Failed to execute command `{0}`'.format(msg))
        return -1
    return output
