""" Copyright start
  Copyright (C) 2008 - 2024 Fortinet Inc.
  All rights reserved.
  FORTINET CONFIDENTIAL & FORTINET PROPRIETARY SOURCE CODE
  Copyright end """
from leapp.models import fields, Model
from leapp.topics import SystemFactsTopic


class FortiSOARFacts(Model):
    topic = SystemFactsTopic
    
    db_filename = fields.Nullable(fields.String())
    fsr_version = fields.Nullable(fields.String())
    fsr_edition = fields.Nullable(fields.String())
    fsr_flags_dir = fields.Nullable(fields.String())
    product_yum_repo = fields.Nullable(fields.String())
    fsr_dir = fields.Nullable(fields.String())
    is_fortimonitor_installed = fields.Boolean(default=False)
    """Save DB file name"""
    
